# DesQ Panel

A simple panel for DesQ Shell, inspired by GNOME's panel.

### Notes for compiling (Qt5) - linux:

- Get the sources
  - `git clone https://gitlab.com/DesQ/DesQUtils/Panel`
- Enter the `Panel` and create and enter `build`.
  - `cd Panel && mkdir build && cd build`
- Configure the project - we use cmake for project management
  - `cmake ..`
- Compile and install - we use make
  - `make -kj$(nproc) && sudo make install`

### Dependencies:
* Qt5 (qtbase5-dev, qtbase5-dev-tools)
* wayland (libwayland-dev, wayland-protocols)
* wlroots (Preferably compiled from git)
* wayfire (Preferably compiled from git, runtime)

## My System Info
* OS:				Debian Sid
* Qt:				Qt5 5.15.1
* wayland:          1.18.0-2~exp1.1
* wlroots:          0.11.0-2eae9ec7
* wayfire:          0.6.0-73293ca0

### Known Bugs
* Please test and let me know

### Upcoming
* Any other feature you request for... :)
